Bug 65743 - MAILMERGE - hang in step 5 of mailmerge wizard "adjust layout"
Summary: MAILMERGE - hang in step 5 of mailmerge wizard "adjust layout"
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: All All
: high critical
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.2.0 target:4.1.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-14 05:04 UTC by Alex Thurgood
Modified: 2013-06-28 07:22 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
sample (8.34 KB, application/vnd.oasis.opendocument.text)
2013-06-25 19:23 UTC, Caolán McNamara
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Thurgood 2013-06-14 05:04:06 UTC
On LO master 4.2 on OSX 10.8.4.

A pre-prepared and saved mailmerge ODT document, referencing an ODS spreadsheet as the data source for the addresses.

Skip choosing the datasource in the wizard (step 3), and proceed to activate the salutation in step 4.

Click Next to the "Adjust Layout" step 5.

Spinning beach ball, app hangs.

The only stuff I've managed to get out of gdb so far :

(gdb) bt
#0  0x9434d8e2 in __psynch_cvwait ()
#1  0x90227280 in _pthread_cond_wait ()
#2  0x902ad0e0 in pthread_cond_timedwait$UNIX2003 ()
#3  0x000135bb in rtl_cache_wsupdate_all ()
#4  0x902225b7 in _pthread_start ()
#5  0x9020cd4e in thread_start ()


(gdb) info frame 
Stack level 0, frame at 0xb0080e90:
 eip = 0x9434d8e2 in __psynch_cvwait; saved eip 0x90227280
 called by frame at 0xb0080f20
 Arglist at 0xb0080e88, args: 
 Locals at 0xb0080e88, Previous frame's sp is 0xb0080e90
 Saved registers:
  eip at 0xb0080e8c


(gdb) info register
eax            0x104	260
ecx            0xb0080e8c	-1341649268
edx            0x9434d8e2	-1808475934
ebx            0x1d00	7424
esp            0xb0080e8c	0xb0080e8c
ebp            0xb0080f18	0xb0080f18
esi            0x0	0
edi            0x1c01	7169
eip            0x9434d8e2	0x9434d8e2 <__psynch_cvwait+10>
eflags         0x203	515
cs             0xb	11
ss             0x23	35
ds             0x23	35
es             0x23	35
fs             0x23	35
gs             0xf	15





Alex
Comment 1 Alex Thurgood 2013-06-14 05:08:09 UTC
Adding Caolan to CC
Comment 2 Caolán McNamara 2013-06-25 13:05:26 UTC
I can reproduce something that sounds like this. In my case I see that SwWrtShell::_FwdPara never returns false so we get stuck in an endless loop in mmlayoutpage.cxx (checking old versions this seems to happen all the way back to at least 3.5)
Comment 3 Caolán McNamara 2013-06-25 15:12:49 UTC
aha, ctrl+down with hide hidden paragraphs reproduces the problem that down gets "stuck" at hidden paragraphs
Comment 4 Caolán McNamara 2013-06-25 19:23:56 UTC
Created attachment 81424 [details]
sample

to reproduce the problem I see manually, open the attached .odt, toggle off view->hidden paragraphs and use ctrl+down_arrow to iterate through the paragraphs and the cursor will get "stuck" on the hidden paragraph.
Comment 5 Commit Notification 2013-06-25 19:29:19 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=61533b8c54077bf1aa203f503e271037b6553411

Resolves: fdo#65743 MovePara gets stuck on hidden para fields



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Caolán McNamara 2013-06-25 19:35:00 UTC
Hopefully what I fixed is the same problem you had.
Comment 7 Alex Thurgood 2013-06-26 14:38:37 UTC
Thanks, will give it a spin after a rebuild.


Alex
Comment 8 Alex Thurgood 2013-06-27 07:37:06 UTC
Confirmed fixed, thanks.

Alex
Comment 9 Commit Notification 2013-06-28 07:22:29 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0b8045b8992c366dcc52093a2db2dfc3193bdb78&h=libreoffice-4-1

Resolves: fdo#65743 MovePara gets stuck on hidden para fields


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.